Subject: Re: Universal tap device

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 19 Feb 2013 05:59:41 -0500

I dont know what macvtap is, but what dont you like about redirecting or 
mirroring packets to tap? Or packet socket?
I think tap has become a christmas tree lately compared to its humble 
beginnings, and its performance is questionable - but it should still
work for what you need.

cheers,
jamal

On 13-02-16 09:01 AM, Jiri Pirko wrote:
> Hi all.
>
> Looking at macvtap and thinking about the tap solutions in general, I
> think it would be handly to have some universal tap device.
>
> This could use rx_handler to hook onto any netdev and provide chardev
> tap-like iface to it. Using that, one can just hook onto macvlan device
> and macvtap would not be needed.
>
> This would allow other scenarios like vxlan-tap, vlan-tap, bond-tap or
> whatever.
>
> Does this idea seem to be reasonable?
>
> Thanks
>
> Jiri
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>